package cn.pluss.platform.service.agent;

import cn.pluss.platform.dto.UserInfoDTO;
import cn.pluss.platform.vo.AgentStaffVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * 超级服务商员工相关处理逻辑
 * @author DJH
 */
public interface AgentStaffService {

    /**
     * 保存代理商下级员工
     */
    void saveOrUpdateStaff(UserInfoDTO dto);

    void saveStaff(UserInfoDTO userInfoDTO);

    void updateStaff(UserInfoDTO userInfoDTO);

    void delStaff(String userId);

    AgentStaffVO getStaff(String userId);

    Page<AgentStaffVO> staffPage(Page<AgentStaffVO> page, UserInfoDTO userInfoDTO);
}
